Let PDFLib hear from you regarding Ruby bindings


#1

hopefully this isn’t OT…

PDFLib is a great peice of software that lets you do all sorts of things
related to PDF generation/modifications/form processing. I have
personally
used PDFLib+PDI in past PHP projects and find it to be worth it’s weight
in
gold (especially when your boss/company is the one paying for it).
Anyways,
I found this when looking for information regarding Ruby bindings for
PDFLib:

Are bindings/wrapper available for Ruby? I’d like to use pdflib for a
Rails application I’m contemplating. . .

There are some Ruby bindings for PDFlib floating around
(Google is your friend), but they refer to older PDFlib
versions and are not supported by PDFlib GmbH. A few years
ago we considered doing a supported Ruby binding, but dropped
the idea for lack of demand. Maybe Rails will change the
situation in the future…

So let’s create the demand…let PDFLIb hear from you regarding this.

To let them know you’d like to see them develop Ruby bindings, send an
email
to removed_email_address@domain.invalid and tell them so!

Chris


#2

I need significant pdf functionality as well and so I wrote per the
email. PDFLib sent me this response:

Hi,

thanks for the request. We have plans to add such a binding for
the next release.

regards
Rainer

Chris H. removed_email_address@domain.invalid wrote:
Yes, PDI is a big part of why I like their product.

Chris

On 11/11/05, Saltman removed_email_address@domain.invalid wrote:I’m for that. I’ve
used the commercial version of PDFLib in several
large projects (Perl, PHP) and it has always performed exceptionally
well. The more products that support Ruby, the happier we’ll all be I
think. (Send a note to the folks at ChartDirector
http://www.advsofteng.com while you’re at it.)

That being said, I’m curious, what feature(s) do you require that
prevent you from using one of the existing PDF solutions for Ruby like
pdf-writer? Is it the PDI functionality?

Chris H. wrote:

l


br>
br>
Content-Type: text/plain; charset=“us-ascii”


Rails mailing list
removed_email_address@domain.invalid
http://lists.rubyonrails.org/mailman/listinfo/rails


#3

Michael,

Guess they didn’t need a whole lot of pushing :slight_smile:


#4

On 11/11/05, Saltman removed_email_address@domain.invalid wrote:

I was unable to find a ruby pdf library that could do encryption or set
permissions on a pdf file. I used pdfwriter and then had to do the rest
by
calling a java app.

I wonder how much work it would be to wrap pdflib using swig?

Chris


#5

On 11/11/05, snacktime removed_email_address@domain.invalid wrote:

I was unable to find a ruby pdf library that could do encryption or set
permissions on a pdf file. I used pdfwriter and then had to do the rest by
calling a java app.

If you’d be willing to work with me, PDF::Writer is supposed to be
able to do basic (40-bit, at least) encryption and permissions
settings. I believe that there were definite issues and that the
changes that I’ve made in a private branch (that I’m holding off on
committing to the public repository because it breaks a few public
APIs as well as drastically changes a lot of private APIs) may be able
to do this better.

Long-term, PDF::Writer will be able to do all of this, but I’m just
one person and PDF::Writer is currently an all-volunteer effort. On
top of that, I’m genuinely busy with very interesting work at my day
job.

-austin

Austin Z. * removed_email_address@domain.invalid
* Alternate: removed_email_address@domain.invalid


#6

±le 12/11/2005 09:56 -0500, Austin Z. écrivait :
| On 11/11/05, snacktime removed_email_address@domain.invalid wrote:
|> I was unable to find a ruby pdf library that could do encryption or set
|> permissions on a pdf file. I used pdfwriter and then had to do the rest by
|> calling a java app.
|
| If you’d be willing to work with me, PDF::Writer is supposed to be
| able to do basic (40-bit, at least) encryption and permissions
| settings. I believe that there were definite issues and that the
| changes that I’ve made in a private branch (that I’m holding off on
| committing to the public repository because it breaks a few public
| APIs as well as drastically changes a lot of private APIs) may be able
| to do this better.

I’ve not been able to use encryption with PDF::Writer at all, it just
borks
out, maybe I’m missing some ruby module, but I doubt it.

| Long-term, PDF::Writer will be able to do all of this, but I’m just
| one person and PDF::Writer is currently an all-volunteer effort. On
| top of that, I’m genuinely busy with very interesting work at my day
| job.

Have you looked at the patch I put in rubyforge ?
I’m using it a lot and I’d love to improve things :slight_smile:


#7

On 11/12/05, Mathieu A. removed_email_address@domain.invalid wrote:

I’ve not been able to use encryption with PDF::Writer at all, it just borks
out, maybe I’m missing some ruby module, but I doubt it.

Probably not. As I said, I noticed some deficiencies and I think I
have fixed them in that private branch, but I don’t have a good test
case at this point – and I am desparately trying to get PDF::Writer
1.1.4 out in my non-existent spare time.

| Long-term, PDF::Writer will be able to do all of this, but I’m just
| one person and PDF::Writer is currently an all-volunteer effort. On
| top of that, I’m genuinely busy with very interesting work at my day
| job.
Have you looked at the patch I put in rubyforge ?
I’m using it a lot and I’d love to improve things :slight_smile:

Which patch is this? If a patch, bug, or support request isn’t
assigned to me, I don’t generally see it for days or even weeks
because I forget to look. I should see if I can make RubyForge
auto-assign things to me.

That said, I have not yet seen your patch and will be reviewing it for
possible inclusion into PDF::Writer 1.1.4; if it doesn’t make it into
that, it will be in 1.2.0 because 1.2.0 is going to contain a lot of
font fixes.

-austin

Austin Z. * removed_email_address@domain.invalid
* Alternate: removed_email_address@domain.invalid


#8

On 11/12/05, Austin Z. removed_email_address@domain.invalid wrote:

changes that I’ve made in a private branch (that I’m holding off on
committing to the public repository because it breaks a few public
APIs as well as drastically changes a lot of private APIs) may be able
to do this better.

Long-term, PDF::Writer will be able to do all of this, but I’m just
one person and PDF::Writer is currently an all-volunteer effort. On
top of that, I’m genuinely busy with very interesting work at my day
job.

Completely understood:) I’d be happy to do any testing or help out. I’d
rather see pdfwriter polished up (not that it doesn’t work very well
because
it does) then work on something like pdflib, especially since it’s pure
ruby. I’m kind of on vacation for a few days but let me know what I can
do.

Chris


#9

±Le 12/11/2005 12:52 -0500, Austin Z. a dit :
| On 11/12/05, Mathieu A. removed_email_address@domain.invalid wrote:
|> I’ve not been able to use encryption with PDF::Writer at all, it just
|> borks out, maybe I’m missing some ruby module, but I doubt it.
|
| Probably not. As I said, I noticed some deficiencies and I think I
| have fixed them in that private branch, but I don’t have a good test
| case at this point – and I am desparately trying to get PDF::Writer
| 1.1.4 out in my non-existent spare time.

As I said, I’m willing to test things, I have a billing app making pdf
invoices (converted from php), and I’d love to be able to restrict my
invoices so that people can’t change them, and also add the possibility
to
add a user password to them.

|> | Long-term, PDF::Writer will be able to do all of this, but I’m just
|> | one person and PDF::Writer is currently an all-volunteer effort. On
|> | top of that, I’m genuinely busy with very interesting work at my day
|> | job.
|> Have you looked at the patch I put in rubyforge ?
|> I’m using it a lot and I’d love to improve things :slight_smile:
|
| Which patch is this? If a patch, bug, or support request isn’t
| assigned to me, I don’t generally see it for days or even weeks
| because I forget to look. I should see if I can make RubyForge
| auto-assign things to me.

Well, next time, I’ll assign it to you :slight_smile:

| That said, I have not yet seen your patch and will be reviewing it for
| possible inclusion into PDF::Writer 1.1.4; if it doesn’t make it into
| that, it will be in 1.2.0 because 1.2.0 is going to contain a lot of
| font fixes.

well, a good part of the changes I’ve made were things I stumbled upon
because things did not work as they should :slight_smile:
Now, wether they go in 1.1.4 or 1.2.0 is not really important for me :slight_smile:


#10

I’m for that. I’ve used the commercial version of PDFLib in several
large projects (Perl, PHP) and it has always performed exceptionally
well. The more products that support Ruby, the happier we’ll all be I
think. (Send a note to the folks at ChartDirector
http://www.advsofteng.com while you’re at it.)

That being said, I’m curious, what feature(s) do you require that
prevent you from using one of the existing PDF solutions for Ruby like
pdf-writer? Is it the PDI functionality?


#11

Yes, PDI is a big part of why I like their product.

Chris